<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>
        <import type="android.view.View"/>
        <variable
            name="clickListener"
            type="android.view.View.OnClickListener"/>
        <variable
            name="longClickListener"
            type="android.view.View.OnLongClickListener"/>
        <variable
            name="detailsClickListener"
            type="android.view.View.OnClickListener"/>
        <variable
            name="position"
            type="Integer"/>
        <variable
            name="viewModel"
            type="org.linphone.activities.main.history.data.CallLogData" />
        <variable
            name="selectionListViewModel"
            type="org.linphone.activities.main.viewmodels.ListTopBarViewModel" />
        <variable
            name="groupCount"
            type="Integer"/>
    </data>

    <RelativeLayout
        android:onClick="@{clickListener}"
        android:onLongClick="@{longClickListener}"
        android:layout_width="match_parent"
        android:layout_height="50sp"
        android:paddingTop="5dp"
        android:paddingBottom="5dp"
        android:background="?attr/backgroundColor"
        android:gravity="center_vertical">

        <LinearLayout
            android:id="@+id/right"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:orientation="horizontal"
            android:layout_marginLeft="5dp"
            android:layout_marginRight="10dp"
            android:layout_alignParentRight="true">

            <ImageView
                android:onClick="@{detailsClickListener}"
                android:enabled="@{!selectionListViewModel.isEditionEnabled}"
                android:contentDescription="@string/content_description_show_call_details"
                android:layout_width="40dp"
                android:layout_height="40dp"
                android:adjustViewBounds="true"
                android:background="@drawable/history_detail_background"
                android:src="@drawable/list_detail" />

            <CheckBox
                android:onClick="@{() -> selectionListViewModel.onToggleSelect(position)}"
                android:visibility="@{selectionListViewModel.isEditionEnabled ? View.VISIBLE : View.GONE, default=gone}"
                android:checked="@{selectionListViewModel.selectedItems.contains(position)}"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:paddingLeft="5dp"
                android:paddingRight="5dp" />

        </LinearLayout>

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_toLeftOf="@id/right"
            android:layout_marginLeft="10dp"
            android:gravity="center_vertical">

            <ImageView
                android:id="@+id/icon"
                android:src="@{viewModel.statusIconResource}"
                android:contentDescription="@{viewModel.iconContentDescription}"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:layout_alignParentLeft="true"
                android:adjustViewBounds="true"
                android:layout_marginRight="10dp"
                android:paddingTop="7dp"
                android:paddingBottom="7dp"/>

            <org.linphone.contact.ContactAvatarView
                android:id="@+id/avatar"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:layout_toRightOf="@id/icon"
                android:gravity="center"
                app:data="@{viewModel}"
                tools:layout="@layout/contact_avatar" />

            <org.linphone.views.MarqueeTextView
                android:id="@+id/sip_uri"
                android:text="@{(viewModel.contact.name ?? viewModel.displayName) + (groupCount > 1 ? ` (` + groupCount + `)` : ``)}"
                style="@style/contact_name_list_cell_font"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:layout_toRightOf="@id/avatar"
                android:gravity="center_vertical"
                android:singleLine="true" />

        </RelativeLayout>

    </RelativeLayout>

</layout>
